function [ Z ] = BoxMuller( stdv,mean )
%Box-Muller Transformation 
%
% BoxMuller returns, Z, 
%  your signal with additive normally 
%  distributed random noise.
%
%  [ Z ] = BoxMuller( stdv,mean )
%   stdv - standard deviation of the signal
%   mean - the signal value

 s = size(mean,1); 
 U = rand(s,2);
 y = zeros(s,1);

  for i=1:s,
     y(i,1) = (sqrt( -2*log(U(i,1) ))...
              *cos( 2*pi*U(i,2) ))*stdv...
              + mean(i,1);
  end   
 Z = y;
end