% Elapsed_Time 
%  calculates min, max and average elapsed time 
%  for the EKF/UKF.
%
% You should not run the init file in the 
% beginning of the filter of your choice.
% Also it might be desirable to comment out
% the PLOT section in the filter you choose, 
% before you run this file.

init;
REPS = 100; % 100 repetitions 

for j=1:REPS
   tic;   % starts a stopwatch timer
   UKF;   % run the filter you want to investigate
%    EKF; % (comment out the other one)
   tElapsed(j) = toc; % stops the timer
end
 minTime = min(tElapsed); % min elapsed time
 maxTime = max(tElapsed); % max elapsed time
 averageTime = sum(tElapsed)/REPS; % average time
 
 %% Display the min, max and average elapsed time       
disp(['Min elapsed time = ' num2str(minTime) '[sec]']); 
disp(['Max elapsed time = ' num2str(maxTime) '[sec]']); 
disp(['Average elapsed time = '...
    num2str(averageTime) '[sec]']); 