%Standard Deviation 
% calculates standard deviation of 
% estimation errors for the EKF or the UKF.

%% Choose one filter (comment out the other one) 
% EKF;
UKF;
close all; % close plots

%% Standard Deviation of Estimation Errors
N = size(simdata(:,2:9), 2);
x_sim = simdata(:,2:9); 
x_est = simdata(:,10:17);

%% Calculate the Std Dev
EstErr = zeros(8);
for i = 1:8,
 EstErr(i) = sqrt(norm(x_sim(:,i)-x_est(:,i))^2/N);
end

%% Display the result
disp('Std Dev of Estimation Errors:');
disp(['Roll Angle: ',num2str(EstErr(1)) '[rad]']);
disp(['Roll Rate: ', num2str(EstErr(2)) '[rad/sec]']);
disp(['Speed: ', num2str(EstErr(3)) '[m/sec]']);
disp(['Modal Wave Frequency: ', ...
    num2str(EstErr(4)) '[rad/sec]']);
disp(['State 5: ', num2str(EstErr(5)) '[rad/sec]']);
disp(['State 6: ', num2str(EstErr(6)) '[rad/sec]']);
disp(['State 7: ', num2str(EstErr(7)) '[rad/sec]']);
disp(['State 8: ', num2str(EstErr(8)) '[rad/sec]']);