function [ tau_1 ] = compute_input( X,const )
%Feedback Linearization Controller
%
% COMPUTE_INPUT retuns the input u = tau_1
%
%  [ tau_1 ] = compute_input(x,const)
%          x - system state
%      const - a struct with constant values 

  tau_1 = ( const.B_11*(abs(X(3)))*X(3) )...
        + ( const.k_p*( X(3)-const.u_c )*const.m_A11 ); 
end