function [ U_dot ] = nomoto( U,DELTA,const )
%First order nomoto model
%
% NOMOTO returns [tau_1_dot,psi_dot,r_dot]';
%  [ U_dot ] = nomoto( U,DELTA,const )
%          U - system input [U(1) U(2) U(3)]' 
             % U(1) = tau_1
             % U(2) = psi
             % U(3) = r
%      DELTA - rudder angle
%      const - a struct with constant values 

 U_dot(1,1) = 0;
 U_dot(2,1) = U(3);
 U_dot(3,1) = (const.K/const.T)*DELTA...
              - (1/const.T)*U(3);
end