function [ X_sigma ] = sigmas( x,P,c )
% SIGMAS returns the sigma points, 
%   X_sigma, around a reference point.
%
% [ X_sigma ] = sigmas( x,P,c )
%           x - reference point
%           P - covariance
%           c - coefficient

 A = c*(chol(P)'); % Cholesky decomposition
 Y = x(:,ones(1,numel(x)));
 X_sigma = [x (Y+A) (Y-A)];
end